package com.mortals.xhx.module.news.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.news.model.NewsEntity;
/**
 * 新闻查询对象
 *
 * @author zxfei
 * @date 2024-12-04
 */
public class NewsQuery extends NewsEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 分类id */
    private Long categoryIdStart;

    /** 结束 分类id */
    private Long categoryIdEnd;

    /** 增加 分类id */
    private Long categoryIdIncrement;

    /** 分类id列表 */
    private List <Long> categoryIdList;

    /** 分类id排除列表 */
    private List <Long> categoryIdNotList;

    /** 分类名称 */
    private List<String> categoryNameList;

    /** 分类名称排除列表 */
    private List <String> categoryNameNotList;
    /** 标题 */
    private List<String> titleList;

    /** 标题排除列表 */
    private List <String> titleNotList;
    /** 标题logo */
    private List<String> titleLogoPathList;

    /** 标题logo排除列表 */
    private List <String> titleLogoPathNotList;
    /** 内容 */
    private List<String> contentList;

    /** 内容排除列表 */
    private List <String> contentNotList;
    /** 开始 置顶 (0.否，1.是) */
    private Integer topStart;

    /** 结束 置顶 (0.否，1.是) */
    private Integer topEnd;

    /** 增加 置顶 (0.否，1.是) */
    private Integer topIncrement;

    /** 置顶 (0.否，1.是)列表 */
    private List <Integer> topList;

    /** 置顶 (0.否，1.是)排除列表 */
    private List <Integer> topNotList;

    /** 开始 浏览次数 */
    private Integer viewNumsStart;

    /** 结束 浏览次数 */
    private Integer viewNumsEnd;

    /** 增加 浏览次数 */
    private Integer viewNumsIncrement;

    /** 浏览次数列表 */
    private List <Integer> viewNumsList;

    /** 浏览次数排除列表 */
    private List <Integer> viewNumsNotList;

    /** 开始 发布时间 */
    private String publishTimeStart;

    /** 结束 发布时间 */
    private String publishTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 点赞次数 */
    private Integer upNumsStart;

    /** 结束 点赞次数 */
    private Integer upNumsEnd;

    /** 增加 点赞次数 */
    private Integer upNumsIncrement;

    /** 点赞次数列表 */
    private List <Integer> upNumsList;

    /** 点赞次数排除列表 */
    private List <Integer> upNumsNotList;

    /** 责任编辑 */
    private List<String> editorList;

    /** 责任编辑排除列表 */
    private List <String> editorNotList;
    /** 开始 分享次数 */
    private Integer shareNumsStart;

    /** 结束 分享次数 */
    private Integer shareNumsEnd;

    /** 增加 分享次数 */
    private Integer shareNumsIncrement;

    /** 分享次数列表 */
    private List <Integer> shareNumsList;

    /** 分享次数排除列表 */
    private List <Integer> shareNumsNotList;

    /** 开始 发布部门 */
    private Long deptIdStart;

    /** 结束 发布部门 */
    private Long deptIdEnd;

    /** 增加 发布部门 */
    private Long deptIdIncrement;

    /** 发布部门列表 */
    private List <Long> deptIdList;

    /** 发布部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 声明 */
    private List<String> statementList;

    /** 声明排除列表 */
    private List <String> statementNotList;
    /** 文章来源 */
    private List<String> sourceList;

    /** 文章来源排除列表 */
    private List <String> sourceNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<NewsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<NewsQuery> andConditionList;

    public NewsQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 分类id
     * @return categoryIdStart
     */
    public Long getCategoryIdStart(){
        return this.categoryIdStart;
    }

    /**
     * 设置 开始 分类id
     * @param categoryIdStart
     */
    public void setCategoryIdStart(Long categoryIdStart){
        this.categoryIdStart = categoryIdStart;
    }

    /**
     * 获取 结束 分类id
     * @return $categoryIdEnd
     */
    public Long getCategoryIdEnd(){
        return this.categoryIdEnd;
    }

    /**
     * 设置 结束 分类id
     * @param categoryIdEnd
     */
    public void setCategoryIdEnd(Long categoryIdEnd){
        this.categoryIdEnd = categoryIdEnd;
    }

    /**
     * 获取 增加 分类id
     * @return categoryIdIncrement
     */
    public Long getCategoryIdIncrement(){
        return this.categoryIdIncrement;
    }

    /**
     * 设置 增加 分类id
     * @param categoryIdIncrement
     */
    public void setCategoryIdIncrement(Long categoryIdIncrement){
        this.categoryIdIncrement = categoryIdIncrement;
    }

    /**
     * 获取 分类id
     * @return categoryIdList
     */
    public List<Long> getCategoryIdList(){
        return this.categoryIdList;
    }

    /**
     * 设置 分类id
     * @param categoryIdList
     */
    public void setCategoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
    }

    /**
     * 获取 分类id
     * @return categoryIdNotList
     */
    public List<Long> getCategoryIdNotList(){
        return this.categoryIdNotList;
    }

    /**
     * 设置 分类id
     * @param categoryIdNotList
     */
    public void setCategoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
    }


    /**
     * 获取 分类名称
     * @return categoryNameList
     */
    public List<String> getCategoryNameList(){
        return this.categoryNameList;
    }

    /**
     * 设置 分类名称
     * @param categoryNameList
     */
    public void setCategoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
    }

    /**
     * 获取 分类名称
     * @return categoryNameNotList
     */
    public List<String> getCategoryNameNotList(){
        return this.categoryNameNotList;
    }

    /**
     * 设置 分类名称
     * @param categoryNameNotList
     */
    public void setCategoryNameNotList(List<String> categoryNameNotList){
        this.categoryNameNotList = categoryNameNotList;
    }

    /**
     * 获取 标题
     * @return titleList
     */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
     * 设置 标题
     * @param titleList
     */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }

    /**
     * 获取 标题
     * @return titleNotList
     */
    public List<String> getTitleNotList(){
        return this.titleNotList;
    }

    /**
     * 设置 标题
     * @param titleNotList
     */
    public void setTitleNotList(List<String> titleNotList){
        this.titleNotList = titleNotList;
    }

    /**
     * 获取 标题logo
     * @return titleLogoPathList
     */
    public List<String> getTitleLogoPathList(){
        return this.titleLogoPathList;
    }

    /**
     * 设置 标题logo
     * @param titleLogoPathList
     */
    public void setTitleLogoPathList(List<String> titleLogoPathList){
        this.titleLogoPathList = titleLogoPathList;
    }

    /**
     * 获取 标题logo
     * @return titleLogoPathNotList
     */
    public List<String> getTitleLogoPathNotList(){
        return this.titleLogoPathNotList;
    }

    /**
     * 设置 标题logo
     * @param titleLogoPathNotList
     */
    public void setTitleLogoPathNotList(List<String> titleLogoPathNotList){
        this.titleLogoPathNotList = titleLogoPathNotList;
    }

    /**
     * 获取 内容
     * @return contentList
     */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
     * 设置 内容
     * @param contentList
     */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }

    /**
     * 获取 内容
     * @return contentNotList
     */
    public List<String> getContentNotList(){
        return this.contentNotList;
    }

    /**
     * 设置 内容
     * @param contentNotList
     */
    public void setContentNotList(List<String> contentNotList){
        this.contentNotList = contentNotList;
    }

    /**
     * 获取 开始 置顶 (0.否，1.是)
     * @return topStart
     */
    public Integer getTopStart(){
        return this.topStart;
    }

    /**
     * 设置 开始 置顶 (0.否，1.是)
     * @param topStart
     */
    public void setTopStart(Integer topStart){
        this.topStart = topStart;
    }

    /**
     * 获取 结束 置顶 (0.否，1.是)
     * @return $topEnd
     */
    public Integer getTopEnd(){
        return this.topEnd;
    }

    /**
     * 设置 结束 置顶 (0.否，1.是)
     * @param topEnd
     */
    public void setTopEnd(Integer topEnd){
        this.topEnd = topEnd;
    }

    /**
     * 获取 增加 置顶 (0.否，1.是)
     * @return topIncrement
     */
    public Integer getTopIncrement(){
        return this.topIncrement;
    }

    /**
     * 设置 增加 置顶 (0.否，1.是)
     * @param topIncrement
     */
    public void setTopIncrement(Integer topIncrement){
        this.topIncrement = topIncrement;
    }

    /**
     * 获取 置顶 (0.否，1.是)
     * @return topList
     */
    public List<Integer> getTopList(){
        return this.topList;
    }

    /**
     * 设置 置顶 (0.否，1.是)
     * @param topList
     */
    public void setTopList(List<Integer> topList){
        this.topList = topList;
    }

    /**
     * 获取 置顶 (0.否，1.是)
     * @return topNotList
     */
    public List<Integer> getTopNotList(){
        return this.topNotList;
    }

    /**
     * 设置 置顶 (0.否，1.是)
     * @param topNotList
     */
    public void setTopNotList(List<Integer> topNotList){
        this.topNotList = topNotList;
    }


    /**
     * 获取 开始 浏览次数
     * @return viewNumsStart
     */
    public Integer getViewNumsStart(){
        return this.viewNumsStart;
    }

    /**
     * 设置 开始 浏览次数
     * @param viewNumsStart
     */
    public void setViewNumsStart(Integer viewNumsStart){
        this.viewNumsStart = viewNumsStart;
    }

    /**
     * 获取 结束 浏览次数
     * @return $viewNumsEnd
     */
    public Integer getViewNumsEnd(){
        return this.viewNumsEnd;
    }

    /**
     * 设置 结束 浏览次数
     * @param viewNumsEnd
     */
    public void setViewNumsEnd(Integer viewNumsEnd){
        this.viewNumsEnd = viewNumsEnd;
    }

    /**
     * 获取 增加 浏览次数
     * @return viewNumsIncrement
     */
    public Integer getViewNumsIncrement(){
        return this.viewNumsIncrement;
    }

    /**
     * 设置 增加 浏览次数
     * @param viewNumsIncrement
     */
    public void setViewNumsIncrement(Integer viewNumsIncrement){
        this.viewNumsIncrement = viewNumsIncrement;
    }

    /**
     * 获取 浏览次数
     * @return viewNumsList
     */
    public List<Integer> getViewNumsList(){
        return this.viewNumsList;
    }

    /**
     * 设置 浏览次数
     * @param viewNumsList
     */
    public void setViewNumsList(List<Integer> viewNumsList){
        this.viewNumsList = viewNumsList;
    }

    /**
     * 获取 浏览次数
     * @return viewNumsNotList
     */
    public List<Integer> getViewNumsNotList(){
        return this.viewNumsNotList;
    }

    /**
     * 设置 浏览次数
     * @param viewNumsNotList
     */
    public void setViewNumsNotList(List<Integer> viewNumsNotList){
        this.viewNumsNotList = viewNumsNotList;
    }


    /**
     * 获取 开始 发布时间
     * @return publishTimeStart
     */
    public String getPublishTimeStart(){
        return this.publishTimeStart;
    }

    /**
     * 设置 开始 发布时间
     * @param publishTimeStart
     */
    public void setPublishTimeStart(String publishTimeStart){
        this.publishTimeStart = publishTimeStart;
    }

    /**
     * 获取 结束 发布时间
     * @return publishTimeEnd
     */
    public String getPublishTimeEnd(){
        return this.publishTimeEnd;
    }

    /**
     * 设置 结束 发布时间
     * @param publishTimeEnd
     */
    public void setPublishTimeEnd(String publishTimeEnd){
        this.publishTimeEnd = publishTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 点赞次数
     * @return upNumsStart
     */
    public Integer getUpNumsStart(){
        return this.upNumsStart;
    }

    /**
     * 设置 开始 点赞次数
     * @param upNumsStart
     */
    public void setUpNumsStart(Integer upNumsStart){
        this.upNumsStart = upNumsStart;
    }

    /**
     * 获取 结束 点赞次数
     * @return $upNumsEnd
     */
    public Integer getUpNumsEnd(){
        return this.upNumsEnd;
    }

    /**
     * 设置 结束 点赞次数
     * @param upNumsEnd
     */
    public void setUpNumsEnd(Integer upNumsEnd){
        this.upNumsEnd = upNumsEnd;
    }

    /**
     * 获取 增加 点赞次数
     * @return upNumsIncrement
     */
    public Integer getUpNumsIncrement(){
        return this.upNumsIncrement;
    }

    /**
     * 设置 增加 点赞次数
     * @param upNumsIncrement
     */
    public void setUpNumsIncrement(Integer upNumsIncrement){
        this.upNumsIncrement = upNumsIncrement;
    }

    /**
     * 获取 点赞次数
     * @return upNumsList
     */
    public List<Integer> getUpNumsList(){
        return this.upNumsList;
    }

    /**
     * 设置 点赞次数
     * @param upNumsList
     */
    public void setUpNumsList(List<Integer> upNumsList){
        this.upNumsList = upNumsList;
    }

    /**
     * 获取 点赞次数
     * @return upNumsNotList
     */
    public List<Integer> getUpNumsNotList(){
        return this.upNumsNotList;
    }

    /**
     * 设置 点赞次数
     * @param upNumsNotList
     */
    public void setUpNumsNotList(List<Integer> upNumsNotList){
        this.upNumsNotList = upNumsNotList;
    }


    /**
     * 获取 责任编辑
     * @return editorList
     */
    public List<String> getEditorList(){
        return this.editorList;
    }

    /**
     * 设置 责任编辑
     * @param editorList
     */
    public void setEditorList(List<String> editorList){
        this.editorList = editorList;
    }

    /**
     * 获取 责任编辑
     * @return editorNotList
     */
    public List<String> getEditorNotList(){
        return this.editorNotList;
    }

    /**
     * 设置 责任编辑
     * @param editorNotList
     */
    public void setEditorNotList(List<String> editorNotList){
        this.editorNotList = editorNotList;
    }

    /**
     * 获取 开始 分享次数
     * @return shareNumsStart
     */
    public Integer getShareNumsStart(){
        return this.shareNumsStart;
    }

    /**
     * 设置 开始 分享次数
     * @param shareNumsStart
     */
    public void setShareNumsStart(Integer shareNumsStart){
        this.shareNumsStart = shareNumsStart;
    }

    /**
     * 获取 结束 分享次数
     * @return $shareNumsEnd
     */
    public Integer getShareNumsEnd(){
        return this.shareNumsEnd;
    }

    /**
     * 设置 结束 分享次数
     * @param shareNumsEnd
     */
    public void setShareNumsEnd(Integer shareNumsEnd){
        this.shareNumsEnd = shareNumsEnd;
    }

    /**
     * 获取 增加 分享次数
     * @return shareNumsIncrement
     */
    public Integer getShareNumsIncrement(){
        return this.shareNumsIncrement;
    }

    /**
     * 设置 增加 分享次数
     * @param shareNumsIncrement
     */
    public void setShareNumsIncrement(Integer shareNumsIncrement){
        this.shareNumsIncrement = shareNumsIncrement;
    }

    /**
     * 获取 分享次数
     * @return shareNumsList
     */
    public List<Integer> getShareNumsList(){
        return this.shareNumsList;
    }

    /**
     * 设置 分享次数
     * @param shareNumsList
     */
    public void setShareNumsList(List<Integer> shareNumsList){
        this.shareNumsList = shareNumsList;
    }

    /**
     * 获取 分享次数
     * @return shareNumsNotList
     */
    public List<Integer> getShareNumsNotList(){
        return this.shareNumsNotList;
    }

    /**
     * 设置 分享次数
     * @param shareNumsNotList
     */
    public void setShareNumsNotList(List<Integer> shareNumsNotList){
        this.shareNumsNotList = shareNumsNotList;
    }


    /**
     * 获取 开始 发布部门
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 发布部门
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 发布部门
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 发布部门
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 发布部门
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 发布部门
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 发布部门
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 发布部门
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 发布部门
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 发布部门
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 所属部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 所属部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 声明
     * @return statementList
     */
    public List<String> getStatementList(){
        return this.statementList;
    }

    /**
     * 设置 声明
     * @param statementList
     */
    public void setStatementList(List<String> statementList){
        this.statementList = statementList;
    }

    /**
     * 获取 声明
     * @return statementNotList
     */
    public List<String> getStatementNotList(){
        return this.statementNotList;
    }

    /**
     * 设置 声明
     * @param statementNotList
     */
    public void setStatementNotList(List<String> statementNotList){
        this.statementNotList = statementNotList;
    }

    /**
     * 获取 文章来源
     * @return sourceList
     */
    public List<String> getSourceList(){
        return this.sourceList;
    }

    /**
     * 设置 文章来源
     * @param sourceList
     */
    public void setSourceList(List<String> sourceList){
        this.sourceList = sourceList;
    }

    /**
     * 获取 文章来源
     * @return sourceNotList
     */
    public List<String> getSourceNotList(){
        return this.sourceNotList;
    }

    /**
     * 设置 文章来源
     * @param sourceNotList
     */
    public void setSourceNotList(List<String> sourceNotList){
        this.sourceNotList = sourceNotList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public NewsQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public NewsQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public NewsQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public NewsQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public NewsQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public NewsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  分类id
     * @param categoryId
     */
    public NewsQuery categoryId(Long categoryId){
        setCategoryId(categoryId);
        return this;
    }

    /**
     * 设置 开始 分类id
     * @param categoryIdStart
     */
    public NewsQuery categoryIdStart(Long categoryIdStart){
        this.categoryIdStart = categoryIdStart;
        return this;
    }

    /**
     * 设置 结束 分类id
     * @param categoryIdEnd
     */
    public NewsQuery categoryIdEnd(Long categoryIdEnd){
        this.categoryIdEnd = categoryIdEnd;
        return this;
    }

    /**
     * 设置 增加 分类id
     * @param categoryIdIncrement
     */
    public NewsQuery categoryIdIncrement(Long categoryIdIncrement){
        this.categoryIdIncrement = categoryIdIncrement;
        return this;
    }

    /**
     * 设置 分类id
     * @param categoryIdList
     */
    public NewsQuery categoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
        return this;
    }

    /**
     * 设置 分类id
     * @param categoryIdNotList
     */
    public NewsQuery categoryIdNotList(List<Long> categoryIdNotList){
        this.categoryIdNotList = categoryIdNotList;
        return this;
    }


    /**
     * 设置 分类名称
     * @param categoryName
     */
    public NewsQuery categoryName(String categoryName){
        setCategoryName(categoryName);
        return this;
    }

    /**
     * 设置 分类名称
     * @param categoryNameList
     */
    public NewsQuery categoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
        return this;
    }


    /**
     * 设置 标题
     * @param title
     */
    public NewsQuery title(String title){
        setTitle(title);
        return this;
    }

    /**
     * 设置 标题
     * @param titleList
     */
    public NewsQuery titleList(List<String> titleList){
        this.titleList = titleList;
        return this;
    }


    /**
     * 设置 标题logo
     * @param titleLogoPath
     */
    public NewsQuery titleLogoPath(String titleLogoPath){
        setTitleLogoPath(titleLogoPath);
        return this;
    }

    /**
     * 设置 标题logo
     * @param titleLogoPathList
     */
    public NewsQuery titleLogoPathList(List<String> titleLogoPathList){
        this.titleLogoPathList = titleLogoPathList;
        return this;
    }


    /**
     * 设置 内容
     * @param content
     */
    public NewsQuery content(String content){
        setContent(content);
        return this;
    }

    /**
     * 设置 内容
     * @param contentList
     */
    public NewsQuery contentList(List<String> contentList){
        this.contentList = contentList;
        return this;
    }

    /**
     * 设置  置顶 (0.否，1.是)
     * @param top
     */
    public NewsQuery top(Integer top){
        setTop(top);
        return this;
    }

    /**
     * 设置 开始 置顶 (0.否，1.是)
     * @param topStart
     */
    public NewsQuery topStart(Integer topStart){
        this.topStart = topStart;
        return this;
    }

    /**
     * 设置 结束 置顶 (0.否，1.是)
     * @param topEnd
     */
    public NewsQuery topEnd(Integer topEnd){
        this.topEnd = topEnd;
        return this;
    }

    /**
     * 设置 增加 置顶 (0.否，1.是)
     * @param topIncrement
     */
    public NewsQuery topIncrement(Integer topIncrement){
        this.topIncrement = topIncrement;
        return this;
    }

    /**
     * 设置 置顶 (0.否，1.是)
     * @param topList
     */
    public NewsQuery topList(List<Integer> topList){
        this.topList = topList;
        return this;
    }

    /**
     * 设置 置顶 (0.否，1.是)
     * @param topNotList
     */
    public NewsQuery topNotList(List<Integer> topNotList){
        this.topNotList = topNotList;
        return this;
    }

    /**
     * 设置  浏览次数
     * @param viewNums
     */
    public NewsQuery viewNums(Integer viewNums){
        setViewNums(viewNums);
        return this;
    }

    /**
     * 设置 开始 浏览次数
     * @param viewNumsStart
     */
    public NewsQuery viewNumsStart(Integer viewNumsStart){
        this.viewNumsStart = viewNumsStart;
        return this;
    }

    /**
     * 设置 结束 浏览次数
     * @param viewNumsEnd
     */
    public NewsQuery viewNumsEnd(Integer viewNumsEnd){
        this.viewNumsEnd = viewNumsEnd;
        return this;
    }

    /**
     * 设置 增加 浏览次数
     * @param viewNumsIncrement
     */
    public NewsQuery viewNumsIncrement(Integer viewNumsIncrement){
        this.viewNumsIncrement = viewNumsIncrement;
        return this;
    }

    /**
     * 设置 浏览次数
     * @param viewNumsList
     */
    public NewsQuery viewNumsList(List<Integer> viewNumsList){
        this.viewNumsList = viewNumsList;
        return this;
    }

    /**
     * 设置 浏览次数
     * @param viewNumsNotList
     */
    public NewsQuery viewNumsNotList(List<Integer> viewNumsNotList){
        this.viewNumsNotList = viewNumsNotList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public NewsQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public NewsQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public NewsQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public NewsQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public NewsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public NewsQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public NewsQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public NewsQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public NewsQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public NewsQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public NewsQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public NewsQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  点赞次数
     * @param upNums
     */
    public NewsQuery upNums(Integer upNums){
        setUpNums(upNums);
        return this;
    }

    /**
     * 设置 开始 点赞次数
     * @param upNumsStart
     */
    public NewsQuery upNumsStart(Integer upNumsStart){
        this.upNumsStart = upNumsStart;
        return this;
    }

    /**
     * 设置 结束 点赞次数
     * @param upNumsEnd
     */
    public NewsQuery upNumsEnd(Integer upNumsEnd){
        this.upNumsEnd = upNumsEnd;
        return this;
    }

    /**
     * 设置 增加 点赞次数
     * @param upNumsIncrement
     */
    public NewsQuery upNumsIncrement(Integer upNumsIncrement){
        this.upNumsIncrement = upNumsIncrement;
        return this;
    }

    /**
     * 设置 点赞次数
     * @param upNumsList
     */
    public NewsQuery upNumsList(List<Integer> upNumsList){
        this.upNumsList = upNumsList;
        return this;
    }

    /**
     * 设置 点赞次数
     * @param upNumsNotList
     */
    public NewsQuery upNumsNotList(List<Integer> upNumsNotList){
        this.upNumsNotList = upNumsNotList;
        return this;
    }


    /**
     * 设置 责任编辑
     * @param editor
     */
    public NewsQuery editor(String editor){
        setEditor(editor);
        return this;
    }

    /**
     * 设置 责任编辑
     * @param editorList
     */
    public NewsQuery editorList(List<String> editorList){
        this.editorList = editorList;
        return this;
    }

    /**
     * 设置  分享次数
     * @param shareNums
     */
    public NewsQuery shareNums(Integer shareNums){
        setShareNums(shareNums);
        return this;
    }

    /**
     * 设置 开始 分享次数
     * @param shareNumsStart
     */
    public NewsQuery shareNumsStart(Integer shareNumsStart){
        this.shareNumsStart = shareNumsStart;
        return this;
    }

    /**
     * 设置 结束 分享次数
     * @param shareNumsEnd
     */
    public NewsQuery shareNumsEnd(Integer shareNumsEnd){
        this.shareNumsEnd = shareNumsEnd;
        return this;
    }

    /**
     * 设置 增加 分享次数
     * @param shareNumsIncrement
     */
    public NewsQuery shareNumsIncrement(Integer shareNumsIncrement){
        this.shareNumsIncrement = shareNumsIncrement;
        return this;
    }

    /**
     * 设置 分享次数
     * @param shareNumsList
     */
    public NewsQuery shareNumsList(List<Integer> shareNumsList){
        this.shareNumsList = shareNumsList;
        return this;
    }

    /**
     * 设置 分享次数
     * @param shareNumsNotList
     */
    public NewsQuery shareNumsNotList(List<Integer> shareNumsNotList){
        this.shareNumsNotList = shareNumsNotList;
        return this;
    }

    /**
     * 设置  发布部门
     * @param deptId
     */
    public NewsQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 发布部门
     * @param deptIdStart
     */
    public NewsQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 发布部门
     * @param deptIdEnd
     */
    public NewsQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 发布部门
     * @param deptIdIncrement
     */
    public NewsQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 发布部门
     * @param deptIdList
     */
    public NewsQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 发布部门
     * @param deptIdNotList
     */
    public NewsQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 所属部门名称
     * @param deptName
     */
    public NewsQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public NewsQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 声明
     * @param statement
     */
    public NewsQuery statement(String statement){
        setStatement(statement);
        return this;
    }

    /**
     * 设置 声明
     * @param statementList
     */
    public NewsQuery statementList(List<String> statementList){
        this.statementList = statementList;
        return this;
    }


    /**
     * 设置 文章来源
     * @param source
     */
    public NewsQuery source(String source){
        setSource(source);
        return this;
    }

    /**
     * 设置 文章来源
     * @param sourceList
     */
    public NewsQuery sourceList(List<String> sourceList){
        this.sourceList = sourceList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public NewsQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public NewsQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<NewsQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<NewsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<NewsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<NewsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}